Error with xcms - requiring MSnbase 2.15.3 but not installing
1
0
Entering edit mode
kramerl • 0
@kramerl-24032
Last seen 13 months ago

I have tried to install MSnbase 2.15.3 after getting this error when loading library(xcms): Error: package ‘MSnbase’ 2.15.0 was found, but >= 2.15.3 is required by ‘xcms’ But the same error is returned. Any suggestions? Here is information:

BiocManager::valid()

* sessionInfo()

R version 4.0.2 (2020-06-22)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows 10 x64 (build 19041)

Matrix products: default

locale:
[1] LC_COLLATE=English_United States.1252 
[2] LC_CTYPE=English_United States.1252   
[3] LC_MONETARY=English_United States.1252
[4] LC_NUMERIC=C                          
[5] LC_TIME=English_United States.1252    

attached base packages:
[1] parallel  stats     graphics  grDevices utils     datasets  methods  
[8] base     

other attached packages:
[1] BiocParallel_1.23.2 Biobase_2.49.0      BiocGenerics_0.35.4

loaded via a namespace (and not attached):
[1] BiocManager_1.30.10 compiler_4.0.2      tools_4.0.2        
[4] knitr_1.29          xfun_0.16          

Bioconductor version '3.12'

  * 3 packages out-of-date
  * 0 packages too new
create a valid installation with

  BiocManager::install(c(
    "backports", "DelayedArray", "MSnbase"
  ), update = TRUE, ask = FALSE)

more details: BiocManager::valid()$too_new, BiocManager::valid()$out_of_date

Warning message:
3 packages out-of-date; 0 packages too new 
> traceback()
3: stop(gettextf(msg, sQuote(pkg), current, dep$op, target, sQuote(pkgname)), 
       call. = FALSE, domain = NA)
2: .getRequiredPackages2(pkgInfo, quietly = quietly)
1: library(xcms)



md5-f3753ce86f136eb27731587378a4c380



> sessionInfo()
R version 4.0.2 (2020-06-22)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows 10 x64 (build 19041)

Matrix products: default

locale:
[1] LC_COLLATE=English_United States.1252 
[2] LC_CTYPE=English_United States.1252   
[3] LC_MONETARY=English_United States.1252
[4] LC_NUMERIC=C                          
[5] LC_TIME=English_United States.1252    

attached base packages:
[1] parallel  stats     graphics  grDevices utils     datasets  methods  
[8] base     

other attached packages:
[1] BiocParallel_1.23.2 Biobase_2.49.0      BiocGenerics_0.35.4

loaded via a namespace (and not attached):
[1] BiocManager_1.30.10 compiler_4.0.2      tools_4.0.2        
[4] knitr_1.29          xfun_0.16          
software error xcms MSnbase • 434 views
ADD COMMENT
0
Entering edit mode
@laurent-gatto-5645
Last seen 2 days ago
Belgium

Indeed, there is a timeout on Windows, hence version 2.15.3 not being available - not sure why.

Version 2.15.3 is available as a source package. You will need to first install Rtools and then run BiocManager::install("MSnbase", type = "source") to install the package from source.

ADD COMMENT
0
Entering edit mode

Hi Laurent, Thank you! That worked. Appreciate your help, no one in the lab here had the answer. Best, Larry

ADD REPLY
0
Entering edit mode

You are very welcome.

ADD REPLY
0
Entering edit mode

Hi Laurent, Thank you! That worked. Appreciate your help, no one in the lab here had the answer. Best, Larry

ADD REPLY

Login before adding your answer.

Traffic: 177 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6